package com.ruoyi.music.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.music.domain.MusicFile;
import com.ruoyi.music.service.IMusicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import static com.ruoyi.common.core.domain.AjaxResult.success;

@RestController
@RequestMapping("/music/file")
public class MusicController  {

    @Autowired
    private IMusicService musicService;
    @PostMapping("/scan")
    @PreAuthorize("@ss.hasPermi('music:file:scan')")
    public AjaxResult scanSmbPath(@RequestBody SmbScanParam smbInfo) {
      String smbPath=smbInfo.getSmbPath();
       String username=smbInfo.getUsername();
        String password=smbInfo.getPassword();
       musicService.scanSmbPath(smbPath, username, password);
        return success("扫描完成");
    }

    @GetMapping("/list")
    @PreAuthorize("@ss.hasPermi('music:file:list')")
    public AjaxResult list(MusicFile musicFile) {
        return success(musicService.selectMusicList(musicFile));
    }
}